#ifndef CALIB_H__
#define CALIB_H__

#ifdef _WIN32
#define LINKAGE __declspec(dllexport)
#else
#define LINKAGE
#endif

/* The params is an array of pointers to character. If you write
  "DeviceOption devName calibration your.so your_data 1 radians 25",
  *params points to "your_data", *(params+1) points to "1",
  *(params+2) points to "radians" and *(params+3) points to "25".
  numParams is the number of parameters, it is 4 in this case.
  The return value is the pointer to the data structure casted to
  void *. */
extern "C" LINKAGE void* calib_init(const char* const* params, int numParams);

/* data is the data structure that you got from your_data.
  trackerData is the array of 6 float valuables, x, y, z, azim, elev
  and roll. */
extern "C" LINKAGE void calib_evaluate(void *data, float *trackerData);

/* You have to delete the memory you assgined by init. */
extern "C" LINKAGE void calib_exit(void *data);

#endif /* CALIB_H__ */

